/*++

Copyright (c) 2008 LeakCheckSoft. All rights reserved.

Module Name:

    LeakChecker.h

Abstract:

    This module defines functions exported by LeakChecker.

	http://www.leakchecksoft.com

--*/

#ifndef _LEAKCHECKER_H
#define _LEAKCHECKER_H 1

#define LEAKCHECKER_VERSION			0x00010002
#define LEAKCHECKER_RELEASE_DATE	20080524

#ifdef LEAKCHECKER_EXPORTS
#define LEAKCHECKER_API __declspec(dllexport)
#else
#define LEAKCHECKER_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C"
{
#endif


LEAKCHECKER_API
DWORD
WINAPI
LeakCheckerDump();

LEAKCHECKER_API
VOID
WINAPI
LeakCheckerStart();

LEAKCHECKER_API
VOID
WINAPI
LeakCheckerStop();

/*
Default value:
	call stack frames to capture: 16, must be less than 64
	break on leak: false
	bSingleThreadMode: false
*/
LEAKCHECKER_API
VOID
WINAPI
LeakCheckerSetOptions(
	DWORD dwCallStackFramesToCapture,
	BOOL bBreakOnLeak,
	BOOL bSingleThreadMode
	);


#ifdef __cplusplus
}
#endif

#endif
